=== qt/CMakeLists.txt ===
add_subdirectory(position)
