=== debian/changelog ===
lomiri-location-service (3.3.0-2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:27:14 +0200

lomiri-location-service (3.3.0-2) unstable; urgency=medium

  * debian/control:
    + Drop from D: (lomiri-location-service-bin): trust-store-bin. (Closes:
      #1096125).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Feb 2025 12:49:20 +0100

lomiri-location-service (3.3.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1095416).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Feb 2025 10:27:52 +0100
