=== debian/control ===
Source: lomiri-location-service
Section: utils
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               curl,
               libdbus-cpp-dev (>= 4.1.0),
               debhelper-compat (= 13),
               doxygen <!nodoc>,
               google-mock (>= 1.6.0+svn437),
               graphviz <!nodoc>,
               libapparmor-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libdbus-1-dev,
               libgoogle-glog-dev,
               libgps-dev,
               libgtest-dev,
               libiw-dev,
               libjson-c-dev,
               libnet-cpp-dev,
               libprocess-cpp-dev,
               libproperties-cpp-dev,
               lsb-release,
               qtbase5-dev,
               qtlocation5-dev,
               qtpositioning5-dev,
               rdfind,
               symlinks,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-location-service
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-location-service.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-location-service

Package: liblomiri-location-service3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Location Service client library
 Aggregates position/velocity/heading updates and exports them over DBus.
 .
 This package contains the shared library needed by client applications.

Package: liblomiri-location-service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomiri-location-service3 (= ${binary:Version}),
         libdbus-1-dev,
         libdbus-cpp-dev,
         libboost-dev,
         ${misc:Depends},
Suggests: lomiri-location-service-doc,
Description: Lomiri Location Service (development files)
 Aggregates position/velocity/heading updates and exports them over DBus.
 .
 This package contains header files required to develop clients talking to the
 Lomiri Location Service.

Package: lomiri-location-service-tests
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Location Service test executables
 Aggregates position/velocity/heading updates and exports them over DBus.
 .
 This package contains all test executables.

Package: lomiri-location-service-bin
Architecture: any
Depends: liblomiri-location-service3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Location Service binaries
 Aggregates position/velocity/heading updates and exports them over DBus.
 .
 This package contains the service executable and man pages.

Package: lomiri-location-service-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Build-Profiles: <!nodoc>
Recommends: lomiri-location-service-examples,
Description: Lomiri Location Service documentation
 Aggregates position/velocity/heading updates and exports them over DBus.
 .
 This package contains documentation for the service and client.
